### Enumeration

# Qmi DmsTimeSource

since: 1.0

#### Declaration

    enum Qmi.DmsTimeSource

#### Description [src]

Source of the timestamp.

Available since: 1.0

#### Members

`QMI_DMS_TIME_SOURCE_DEVICE`

  32 kHz device clock.

  - Value: `0`
  - Available since: 1.0
`QMI_DMS_TIME_SOURCE_CDMA_NETWORK`

  CDMA network.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_TIME_SOURCE_HDR_NETWORK`

  HDR network.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_dms_time_source_get_string

Gets the nickname string for the `QmiDmsTimeSource` specified at `val`.

since: 1.0